package com.ssm.model.business;

import java.util.Date;

/**
 * 发送信息对象
 * @author Administrator
 *
 */
public class SmsRecord {
	/**
	 * 短信记录主键id
	 */
    private Integer id;

    /**
     * 发送的手机号码
     */
    private String phoens;

    /**
     * 发送的内容
     */
    private String content;

    /**
     * 发送时间
     */
    private Date createDate;
    /**
     * 信息编号
     * 成功提交返回编号（表示提交成功，并不代表手机已经成功收到短信）：
     * 		-8485643440204283743或1485643440204283743
     * 错误返回： 
			-1	参数为空。信息、电话号码等有空指针，登陆失败
			-2	电话号码个数超过1000
			-10	申请缓存空间失败
			-11	电话号码中有非数字字符
			-12	有异常电话号码
			-13	电话号码个数与实际个数不相等
			-14	实际号码个数超过1000
			-101	发送消息等待超时
			-102	发送或接收消息失败
			-103	接收消息超时
			-200	其他错误
			-999	web服务器内部错误
     */
    private String msgid;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getPhoens() {
        return phoens;
    }

    public void setPhoens(String phoens) {
        this.phoens = phoens == null ? null : phoens.trim();
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getMsgid() {
        return msgid;
    }

    public void setMsgid(String msgid) {
        this.msgid = msgid == null ? null : msgid.trim();
    }
}